<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (12.0.1) on Tue Jan 07 09:13:49 CET 2020 -->
<title>P-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-01-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="P-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:P">
<!--   -->
</a>
<h2 class="title">P</h2>
<dl>
<dt><a href="../Parque.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Parque</span></a> - Class in <a href="../package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>
<div class="block">Theme park application.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Parque.html#%3Cinit%3E()">Parque()</a></span> - Constructor for class <a href="../Parque.html" title="class in &lt;Unnamed&gt;">Parque</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controller/PersonController.html#person">person</a></span> - Variable in class controller.<a href="../controller/PersonController.html" title="class in controller">PersonController</a></dt>
<dd>
<div class="block">Person on whom changes are made</div>
</dd>
<dt><a href="../ticket/Person.html" title="class in ticket"><span class="typeNameLink">Person</span></a> - Class in <a href="../ticket/package-summary.html">ticket</a></dt>
<dd>
<div class="block">Class to manage each one of the people of a ticket</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Person.html#%3Cinit%3E(int,int)">Person(int, int)</a></span> - Constructor for class ticket.<a href="../ticket/Person.html" title="class in ticket">Person</a></dt>
<dd>
<div class="block">Class constructor.Allows to build a new instance from the age</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Person.html#%3Cinit%3E(ticket.PersonEnum)">Person(PersonEnum)</a></span> - Constructor for class ticket.<a href="../ticket/Person.html" title="class in ticket">Person</a></dt>
<dd>
<div class="block">Class constructor.</div>
</dd>
<dt><a href="../controller/PersonController.html" title="class in controller"><span class="typeNameLink">PersonController</span></a> - Class in <a href="../controller/package-summary.html">controller</a></dt>
<dd>
<div class="block">Controller actions for an person ticket</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/PersonController.html#%3Cinit%3E(ticket.Person)">PersonController(Person)</a></span> - Constructor for class controller.<a href="../controller/PersonController.html" title="class in controller">PersonController</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><a href="../ticket/PersonEnum.html" title="enum in ticket"><span class="typeNameLink">PersonEnum</span></a> - Enum in <a href="../ticket/package-summary.html">ticket</a></dt>
<dd>
<div class="block">List of types of groups that can be sold.</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/PersonEnum.html#%3Cinit%3E(java.lang.String,int,int,int)">PersonEnum(String, int, int, int)</a></span> - Constructor for enum ticket.<a href="../ticket/PersonEnum.html" title="enum in ticket">PersonEnum</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Ticket.html#personList">personList</a></span> - Variable in class ticket.<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a></dt>
<dd>
<div class="block">List of people included in the entry
 Each group of persons can have assigned discounts and supplements</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Person.html#price(double,double)">price(double, double)</a></span> - Method in class ticket.<a href="../ticket/Person.html" title="class in ticket">Person</a></dt>
<dd>
<div class="block">Obtain price for person</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttractionReport.html#print(java.lang.String,java.lang.String,attractions.Attraction,statistics.RideAttraction,int,int)">print(String, String, Attraction, RideAttraction, int, int)</a></span> - Method in class statistics.<a href="../statistics/RideAttractionReport.html" title="class in statistics">RideAttractionReport</a></dt>
<dd>
<div class="block">Show ride attraction data on screen</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistanceReport.html#print(java.lang.String,statistics.AssistancePerson,int)">print(String, AssistancePerson, int)</a></span> - Method in class statistics.<a href="../statistics/AssistanceReport.html" title="class in statistics">AssistanceReport</a></dt>
<dd>
<div class="block">Show attendance data on screen</div>
</dd>
<dt><span class="memberNameLink"><a href="../tools/Menu.html#printAndRequest(java.lang.String,java.util.ArrayList)">printAndRequest(String, ArrayList&lt;MenuItem&gt;)</a></span> - Method in class tools.<a href="../tools/Menu.html" title="class in tools">Menu</a></dt>
<dd>
<div class="block">Print menu options.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
